%define upstream_name    XML-Grammar-Fiction
%define upstream_version 0.14.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Line iterator base
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Array)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(XML::SemanticDiff) >= 1.0.0
BuildRequires: perl(XML::Writer)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::Grammar::Fiction is a CPAN distribution that facilitates writing prose
fiction (= stories, novels, novellas, etc.). What it does is:

* 1. Converting a well-formed plain text format to a specialized XML
  format.

* 2. Converting the XML to DocBook/XML or directly to HTML for rendering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README TODO.quicktask
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.14.7-2.mga4
+ Revision: 530043
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.14.7-1.mga4
+ Revision: 454748
- update to 0.14.7

* Wed May 29 2013 shlomif <shlomif> 0.14.6-1.mga4
+ Revision: 432750
- Add BRs
- Add BRs
- Update sha1
- New version 0.14.6

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 375047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 shlomif <shlomif> 0.9.3-1.mga3
+ Revision: 279447
- New version 0.9.3

* Sat Jul 28 2012 shlomif <shlomif> 0.9.2-1.mga3
+ Revision: 275523
- New version 0.9.2

* Tue Jul 03 2012 shlomif <shlomif> 0.8.1-1.mga3
+ Revision: 267073
- update to v0.8.1

* Mon Dec 19 2011 shlomif <shlomif> 0.8.0-1.mga2
+ Revision: 184358
- imported package perl-XML-Grammar-Fiction


* Mon Dec 19 2011 cpan2dist v0.8.0-1mga
- initial mageia release, generated with cpan2dist
